Subject: AIList Digest V5 #127

From: [email-masked]@vtcs1
Date: Fri, 22 May 87 18:03:56 edt

Date: Fri 22 May 1987 11:12-PDT
From: AIList Moderator Kenneth Laws <[email-masked]>
Subject: AIList Digest   V5 #127
To: [email-masked]
Reply-to: [email-masked]
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467

AIList Digest            Friday, 22 May 1987      Volume 5 : Issue 127

Today's Topics:
  Bindings - sci.philosophy.tech List,
  Queries - FRL and Analogy & CLIPS: Parallel Version &
    Perceptual Primitives & KNOWOL by IMCO--Intelligent Machine Company,
  Application - Grammar Checkers,
  Humor - Word Proof takes the Jabberwocky Test,
  AI Tools - Scheme References

----------------------------------------------------------------------

Date: 21 May 87 11:37:58 GMT
From: [email-masked]  (J. A. "Biep" Durieux)
Subject: Zeno, quantum, semantics, Hofstadter, philosophy, inuitionism

Please learn (as I just did) that there is an (as yet unmoderated) forum
to discuss philosophy of logic, math, and science.

It is   sci.philosophy.tech .

Please at least cross-post all philosophical articles to that group, and let
follow-ups go there. Many people don't want to wade through many newsgroups
to see if there are any philosophical articles.

Are infinitesimals physically possible?
Can (programming/natural) languages describe their own semantics
        (and what are the prerequisites)?
Does the Aspect experiment imply faster-than-light information transfer?
What does "meaning" mean (and: does this question mean anything if
        one doesn't know what "to mean" means)?
What do the results of Heisenberg and Goedel imply for the possibility
        of knowledge?
Is there a fundamental difference between the subjects of discourse for
        mathematics and natural languages?

All these discussions don't belong where they pop up now. They belong
in sci.philosophy.tech.

Thanks for reading this.

--
                                                Biep.  ([email-masked] via mcvax)
                        My F-key has autorepeat

------------------------------

Date: Thu, 21 May 87 14:32:00 CDT
From: [email-masked]
Subject: FRL and Analogy

I am looking for a copy of public domain code for a frame-based
representation language such as FRL, KRL, etc., written in Franz
Lisp.  If anyone has a copy that they wouldn't mind distributing,
I would appreciate hearing from you.
Also, I would like to hear from people doing research in analogical
problem solving.  Pointers to CURRENT research will be very much
appreciated.

Thanks in advance...
Tom Eskridge
Dept of Computer Science
Southern Illinois University at Carbondale
Carbondale, Il.  62901
BITNET: ge0242 at SIUCVMB

------------------------------

Date: 19 May 87 20:49:00 GMT
From: [email-masked]
Subject: CLIPS: Parallel Version

CLIPS: C Language's Integrated Production System. (NASA/Cosmic)

If anyone out there is using CLIPS and knows of any features they would
like to see in a new parallel version of the language, please feel free to
send your comments to me. The new version should be done for the world to
use by early December.

F. Lopez

------------------------------

Date: Thu, 21 May 87 11:43 EDT
From: LEN MOSKOWITZ <[email-masked]>
Subject: Request for assistance

     I'm working on a memory model that learns concepts from scratch.  Given
events consisting of sensory input (e.g. for the vision modality, some
description of scenes), it will (hopefully) learn appropriate groupings of
features that define concepts.  I am looking for sets of primitives that can
describe sensory perceptions.  The primitives need not be "correct" nor
"exhaustive" when evaluated for psychological/perceptual validity, but they
should be "adequate" to describe the range of features they apply to.  I have
one set of visual primitives (Irving Biederman's from SUNY Buffalo's Psych
department) that may handle volumetric descriptions of objects describable by
count nouns.  To fill out the vision primitives, I think I need textural,
motion, size, orientation, and color/brightness/contrast primitives too.  I'm
also looking for perceptual primitives for the other sensory modalities (aural,
tactile, olfactory, kinesthetic...).  Any pointers would be greatly
appreciated.

Len Moskowitz
[email-masked] (CSnet)
[email-masked] (ARPAnet)
[email-masked] (alternate ARPAnet)
rutgers!topaz!moskowit (uucp)

------------------------------

Date: Wed, 13 May 87 08:08:46 PDT
From: [email-masked]
Subject: How can I find KNOWOL by IMCO--Intelligent Machine Company?

I'm looking for Intelligent Machine Company's PC expert system tools KNOWOL
&/or KNOWOL+, which were recently advertised (Nov 86 AI Expert) and reviewed
(Mar 87 Computer Language).  So far, all leads (ad, publisher, phone directory
service) have terminated at a telephone number which is "no longer in service"
(813-844-3262).  Does either the company or the product still exist?

D. Lambert
REPLY TO:  [email-masked]

------------------------------

Date: 21 May 87 11:35:11 GMT
From: [email-masked] (Gilbert Cockton)
Reply-to: [email-masked] (Gilbert Cockton)
Subject: Re: Grammar Checkers

In article <[email-masked]> viper!john (John Stanley) writes:
>
>  I don't know about the ones people have been talking about, but I
>do know there is a program under development that can handle "there"
>vs "their" or, for that matter, the "two" vs "too" vs "to".

Anyone got one for "which" versus "that"?
--
   Gilbert Cockton, Scottish HCI Centre, Ben Line Building, Edinburgh, EH1 1TN
   JANET:  [email-masked]    ARPA:   [email-masked]
                UUCP:   ..!{backbone}!aimmi.hw.ac.uk!gilbert

------------------------------

Date: Thu 21 May 87 17:36:08-PDT
From: Ed Brink <[email-masked]>
Subject: Word Proof takes the Jabberwocky Test

Inspired by the research presented to me this morning, I decided to put Word
Proof (version 1) to the Jabberwocky test.  I used a slightly different
decision rule: I picked the first suggestion that scanned, or if none did, the
one that came closest.  Word Proof appears to know more words than PCWrite,
which does not surprise me a bit.  WP is primarily a spelling checker; PCWrite
does it as sideline.

Anyhow, here goes:

Jabberers

'Twangs brailling, and the slithery totes
Did gore and gamble in the wake:
All misty were the broodiest,
And the mole wraths outraged.

"Beware the Jabberer, my son!
The jaws that bite, the claws that catch!
Beware the Jumbo bird, and shun
The furious Balderdash!"

He took his vernal sword in hand:
Long time the mangoes foe he sought -
So rested he by the Tumult tree,
And stood awhile in thought.

And, as in unfit thought he stood,
The Jabberer, with eyes of flame,
Came whiffing through the turkey wood,
And burbled as it came!

One, two! One, two!  And through and through
The vernal blade went snicker-snack!
He left it dead, and with its head
He went galloping back.

"And hats thou slain the Jabberer?
Come to my arms, my bearish boy!
O fractious day!  Callow!  Calmly!"
He chortled in his joy.

'Twangs brailling, and the slithery totes
Did gore and gamble in the wake:
All misty were the broodiest,
And the mole wraths outraged.

..Ed

------------------------------

Date: 21 May 87 18:42:41 GMT
From: [email-masked]
Subject: Response to Scheme Ref Question

  The response to my request for information on two Scheme references
has been so overwhelming that I have decided to summarize the infor-
mation I have received. Thanks to everyone who replied, with special
thanks to the people at Indiana, who were most encouraging.

About THE BOOKS:

Will Clinger <[email-masked]> of Tektronix,
(Beaverton, OR) provides:

>       Friedman, Haynes, Kohlbecker, & Wand
>       Fundamental Abstractions of Programming Languages
> This book, in draft form, is used in the undergraduate programming
> languages course, C 311, at Indiana University.
> I expect the book will be published later this year or early next year.
> Until then, you might be able to get a copy from the Indiana University
> bookstore.

One of the authors, Dan Friedman, is more cautious stating only that:
>    ...is class notes that will be a book published
>    with MIT-Press & McGraw-Hill sometime in the future.

Ken Dickey <[email-masked]>, also of Tektronix,
and Dan Friedman gave the same reference:

> "Programming with Continuations",
> Program Transformations and Programming Environments
> ed: P. Pepper, Springer Verlag, 1984, Pg 263-274.

Several people supplied ADDRESSES FOR THE AUTHORS.
For Dr. Friedman:
> [email-masked]
> <cmcl2!seismo!iuvax!iucs!dfried>

For Chris Haynes
> <[email-masked]>

Both may (apparently) be reached by Smail at:
        Computer Science Department
        Lindley Hall
        Indiana University
        Bloomington, IN 47405

Finally, Daniel Schneider <cmcl2!seismo!mcvax!cui!shneider> at the
University of Geneva, Switzerland passed on some ADDITIONAL (new?)
REFERENCES which he had received from Dr Haynes:

 C. T. Haynes and D. P. Friedman, ``Abstracting timed preemption with
 engines," to appear in {\it Computer Languages.}
        An earlier version of this paper appeared in the 1984 Lisp
        Conf. Proc.

 C. T. Haynes, D. P. Friedman and M. Wand, ``Obtaining coroutines with
 continuations," {\it Computer Languages,\/} Vol. II, No.~3/4 (1986),
 143--153.

 D. P. Friedman and C. T. Haynes, ``Embedding continuations in
        procedural objects,"
 to appear in {\it ACM Trans. Progr. Lang. Sys.\/}
        An earlier version appeared in the 1985 POPL.

 C. T. Haynes, ``Logic continuations," {\it Proceedings of the Third
 Int'l. Conf. on Logic Programming\/} (July, 1985), London, England,
 {\it Lecture Notes in Computer Science,\/} Vol.~225, Springer-Verlag,
 Berlin (1985), 671--685.  Revised version to appear in {\it The
 Journal of Logic Programming.\/}
        This paper gives an embedding of Prolog into Scheme.

 R. K. Kybvig, D. P. Friedman, and C. T. Haynes, ``Expansion-passing
 style: beyond conventional macros," {\it Proceedings 1986 ACM
 Symposium on LISP and Functional Programming\/} (Aug., 1986),
 143--150.
        Proposes a better macro facility for Scheme and other Lisp
        like languages.

 D. P. Friedman, C. T. Haynes and E. E. Kohlbecker, ``Programming with
 continuations," {\it Program Transformation and Programming
 Environments,\/} (P. Pepper, Ed.), Springer-Verlag, Berlin (1984),
 263--274.

   Once again, thanks to everyone who responded!
                                -Tom (trh@arizona)

------------------------------

End of AIList Digest
********************